Member Mute Space
curl --request PATCH \
--url https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/mute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"is_muted": true
},
"type": "<string>"
}
}
'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/mute"
payload = { "data": {
"attributes": { "is_muted": True },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {is_muted: true}, type: '<string>'}})
};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/spaces/{space_id}/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"contact_id": "<string>",
"space_id": "<string>",
"is_member": true,
"is_muted": true,
"joined_at": "<string>",
"last_read_at": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-spaces-member
Member Mute Space
Toggle the mute preference for this contact's space membership.
Expects JSON:API envelope:
{data: {type: 'space_member_states', attributes: {is_muted: bool}}}
Returns 200 with the updated member state on success.
Returns 404 if the contact is not a member of the space.
Returns 403 if the contact is banned/soft-banned from the hub.
PATCH
/
api
/
v1
/
hubs
/
{hub_id}
/
spaces
/
{space_id}
/
mute
Member Mute Space
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
JSON:API PATCH body: {data: {type: 'space_member_states', attributes: {is_muted}}}.
Show child attributes
Show child attributes
⌘I